#
# spec file for package azure-cli-dms
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           azure-cli-dms
Version:        0.1.0
Release:        1.32
Summary:        Microsoft Azure CLI 'Database Migration Service' Command Module
License:        MIT
Group:          System/Management
Url:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-dms/azure-cli-dms-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRequires:  azure-cli-command-modules-nspkg
BuildRequires:  azure-cli-nspkg
BuildRequires:  python3-azure-nspkg
Requires:       azure-cli-command-modules-nspkg
Requires:       azure-cli-nspkg
Requires:       python3-azure-nspkg
Requires:       python3-azure-mgmt-datamigration >= 0.1.0
Requires:       azure-cli-core
Requires:       python3-pyOpenSSL
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI 'Database Migration Service' Command Module

This package is for the 'Database Migration Service' module.
i.e. 'az dms'

%prep
%setup -q -n azure-cli-dms-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-dms-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/command_modules/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/command_modules/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/__pycache__

%files
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/azure/cli/command_modules/dms
%{python3_sitelib}/azure_cli_dms-*.egg-info
%changelog
* Mon Oct  1 2018 adrian.glaubitz@suse.com
- Initial build
  + Version 0.1.0
